Subject: Re: Wireless Linux(802.11) for Embedded PowerPC

From: "John W. Linville" <[email-masked]>
Date: Thu, 7 Sep 2006 09:16:35 -0400

On Thu, Sep 07, 2006 at 09:23:08AM +0800, Chun Chung Lo wrote:

> Also I cannot see any drivers existing in the upstream kernel are really
> support the "Intersil Prism 2 WLAN" cards (my card is differ from those
> Orinoco cards and Hermes cards, also the drivers are also differ a lot).

I think you may be mistaken.  The orinoco drivers in the upstream
kernel seem to support all the same device IDs as are supported
in the linux-wlan code.  If your card is missing, it is likely a
simple matter of a missing device ID.  But, major code changes are
probably not necessary.  (USB-based devices may be an exception....see
http://www.nongnu.org/orinoco/ for experimental support.)
 
> If you are going to use Intersil Prism 2 cards/chips, I would suggest
> you to use the linux-wlan driver (but seems this driver does not support
> AP mode yet...)

Please don't encourage people to patronize dead projects when the
upstream kernel should work for them.

Thanks,

John
-- 
John W. Linville
[email-masked]